tunebite start

Tunebite – re-record media files legally during play back

Tunebite is a Windows software product, which, once installed on the PC, fully automatically or manually records media files that were purchased online as the files are played. It is completely legal to record and playback on a different reproducer of yours. Tunebite is technology-proof, does not bypass any digital copy protection and therefore confirms with all digital copy protection measures, provided that the user is legally entitled to listen to the music.

The following Overview shows the separate help sections and enables an easy access.

  1. General usage - a first overview
  2. User interface - functionality and usage
  3. Options - advanced settings
  4. Extended functionality - Player, MP3 synchronization, create CDs and ringtones
  5. Frequently asked questions (FAQ) - known issues and solutions.

Get up-to-date information at the Tunebite support website.

Hint: Tunebite is able to re-record audio files (Tunebite premium) or also to re-record audio and video files (Tunebite platinum)!


Usage

General usage - a first overview

Installation and configuration

The installation proceeds automatically. Just follow the instructions of the Tunebite installation wizard. During the installation process Tunebite configures your sound- and video settings properly. All settings can be changed manually in the options menu options menu later on.

General usage

To re-recode media files you just have to add the files by clicking on the corresponding button or by dragging and dropping the media files into the window. The selected files appear on the left side of the application window (1). You can start the recording process by clicking on the "GO"-Button. The finished files appear on the right side of the application window (2). Underneath the list with all finished files, there is the Player (3) which you can use to burn or to copy (to MP3-Player) the re-recorded songs. Some information about the selected songs (ID3-Tag, cover picture, lyrics) is also displayed

You can use Tunebite as a always running background application that automatically detects and re-encodes each protected media file you listen to using Windows Media Player 9 (or later) or Apple iTunes 4 (or later). To enable this behaviour please go to "Options->Record->Automatic recording" and check "Automatically intercept and record tracks that are played back in Windows Media Player and iTunes".

Alternatively you can perform batch re-encoding tasks from time to time. In this case add protected media files to list (either with the "add" button or by drag-and-dropping files and folders on the left field) and then press the "GO!" button and wait until the tracks get re-encoded. Best usage: recording with high-speed dubbing enabled and normalization disabled is what we recommend!(0ptions)

The next page grants an complete overview and description of the applications functionality and the user interface.

You are able to record media files either manually or automatically by just listening to them!


User interface

The user interface - functionality and usage

The user interface offers quick and intuitive handling as well as user friendly design and layout. It is logically split into three areas.

The left area of the application (1) contains a list of all media files which have to be recoded, buttons for adding and removing these files and a status display of the current recording.

The middle area (2) offers quick access to the options menu, the Tunebite help and the record audio only option. You can start your recoding process from here using the "GO" button.

Equivalent to the left area the right one contains a list of all recorded media files a (3). Furthermore you can delete the files and access the folder in which they are saved. With the Player you can burn the recorded files, copy them to your MP3-Player or create ringtones from them.

Hint: If you are testing Tunebite right at the moment you can buy Tunebite by means of a button that appears at the top of the middle area. You can choose between Tunebite premium (audio support) and Tunebite platinum (audio+video support).

Description of the buttons in part 1

 Add media files to the list. You can choose either single files or complete folders. If you select "Music download services" in the appearing selection, Tunebite will look for new songs in your defined folders and add them to the list.
By clicking on this button you can remove single files or all files at once.
This button controls the sound during digital recording.
You can cancel the search for new files with this button.
During the recording process you can set if you want your PC to shut down afterwards

Description of the buttons in part 2

 Opens the options or help menu.
Start the recoding process with this button.(requires at least one media file in list)
Check this box, if you want to record audio only.

Description of the buttons in part 3

 Opens the predefined save folder.
By clicking on this button you can remove single files or all files at once.
This button launches a window in which you can edit the tags of the selected media files.
The functionality of the Player is described in "Extended functionality".

The next page contains further information about the available options in the options menu.


Options

Options - advanced settings

By clicking on the options button in the middle area of the application you get full access to all available settings and options.

General

Here you can define, if Tunebite should start together with windows and what should happen when you close Tunebite.

Language
The language can be easily changed during run-time.
Registration
You can evaluate Tunebite as long as you wish. But please be aware that the trial version copies only the first 30 seconds of each protected media file you listen to. To remove this limitation, buy a serial number from our webshop.

Audio

Sound card configuration and settings

When you press the "Configure..." button, a new window appears, in which you can configure your sound card. There are two different ways to do this properly - it can be done either automatically or manually.

  • Select the device and line that Tunebite shall use to record from and then adjust the recording volume level. You can do this either automatically or manually:
    • To detect automatically, press the "Auto detect" button and wait a few seconds until the detection is done.
    • To detect manually follow the procedure below:
      1. Select recording device (from the "Sound card" drop-down box)
      2. Select input source (from the "Input"->"Source" drop-down box). It is usually named "Stereo Mix" or "Wave Out Mix".
      3. A test tone will be played as soon as the pointer hovers above the recording volume slider. Move the slider up and down until the input signal is in the yellow range.

  • Note that when the detection is over you have to make sure that the same sound card device is used by Windows Media Player and/or iTunes for playback:

    • To configure WMP go to "WMPlayer -> Options -> Devices -> Speakers -> Properties" and select the detected sound card as sound playback device.
    • To configure iTunes go to "Control Panel->Sounds and Audio Devices -> Audio" and select the detected sound card as your default sound playback device.

    Audio file format

    Please choose your favourite file format depending on your planned usage of the audio files created by Tunebite.
    OGG. If you plan to hear the audio files only on your computer, OGG is the file format with the best sound quality.
    MP3. If you plan to listen to the audio files on multiple devices, MP3 is the file format with the best compatibility. If the MP3 file format is disabled you have to search the internet for the MP3 encoder "lame_enc.dll" with the button "Search..." . After you've found and downloaded it, you have to import the MP3 encoder "lame_enc.dll" by pressing the "Import..." button.
    WMA. If you are a fan of Microsoft's encoding technologies and all your devices support the WMA file format, then choose WMA.
    WAV. WAV is a music file format that works without compression and due to that creates by far the largest files. Using WAV makes sense, if you want to edit the files.

    You also can decide if your audio files are recorded with a constant or variable bit rate. A variable bit rate usually provides better quality but less compatibility.

    • Video

    If you activate the "Record video, when original music file contains video" check box, Tunebite will create video files.

    Video file format

    Please select how you want to use the video. This will change the size of the recorded video. Also it depends on your system performance.

    Choose optimized for pc for better quality or optimized for mobile devices for faster processing and lower system performance.

    You can choose between the following two formats:

    • WMV, the created videos can be watched on every Windows XP computer and on most portable media players. This video file format is free.
    • MPEG4, the created videos can be watched on many more portable media players, e.g., the iPod..

    Tunebite needs the 3ivx encoder to create MPEG4 files. 3ivx is a MPEG4 encoder from 3ivx Technologies.

    Please keep in mind that video capture is a very CPU intensive process. If you encounter any frame drops or further problems during the capturing process please modify your video settings to get better video output results. You can lower the video size by selecting Optimized for Mobile devices:Tunebite will capture 50% of the original video size if the original size is larger than 320x240, otherwise it will capture 100% of the original size.

    Hint: Tunebite is not allowed to deliver a MPEG4 encoder in this version. You need either a license of "Tunebite with MPEG4" or the 3ivx software installed. Experts can install the klite codec pack from http://www.codecguide.com to get the 3ivx encoder.

    Input

    If the "Omit unprotected files" check box is activated, only copy-protected media files can be added and recorded.

    Music services

    In addition to the possibility to add files directly from the user interface, user defined folders can be specified as well. In particular with this option one can specify where the downloaded media files are saved and where Tunebite can find them.

    It is also possible to specify if subdirectories are included and as well if files are always added or just in case they are new.

    You can mark all media files as already recorded. That means that all media files currently located in the output folder of your music download service won't be added anymore. Or you can mark all media files as new. That means that all media files currently located in the output folder of your music download service will be added even if they are already recorded. Care should be taken as these operations cannot be undone!

    Record

    High-Speed dubbing

    To be able to have various recordings simultaneously, Tunebite installs so called "recording slots". The number of "recording slots" on your PC depends on its computing power and can be changed in a combo box. There is also the possibility to "Add more recording slots dynamically" according to the available computing power.

    Tunebite can also perform high-speed dubbing (accelerated digital recording). It installs a driver that is able to switch the player program to a faster playback mode (you can notice the slider of the player moving faster than normal). The maximum acceleration that works properly is automatically detected and depends on your hardware configuration and player program, on most systems it is 4x with WMP and 1x with iTunes. If there are problems with the quality of the recorded tracks (esp. tracks considerably longer than the original) you'll have to decrease the acceleration and try again.

    Automatic recording

    If automatic recording is enabled Tunebite will intercept and record protected tracks as they are played back in Windows Media Player and iTunes. Hence no need to add the tracks to the Tunebite's list of songs, just listen to them in your player and get them re-encoded.

    Batch recording

    Tunebite can control the volume level of the player program in use. In most of the cases 100% of the player volume is what we need for not losing the loudness of the original tracks. However in some rare cases, depending on the loudness of the original track and the sound card in use, this might produce distorted output. If such cases it is strongly recommended that you lower the volume level of the player, e.g. you can use 50%. Alternatively, you can simply disable this behaviour and manually set the proper volume level directly in Windows Media Player or iTunes.

    Please do not use other applications during the high-speed digital dubbing as it performs time critical processing.

    Finalize

    Tagging

    You can select information which should automatically be added to the recorded files.

    Normalization can be used to bring all recorded tracks to the save volume. Using 89dB will likely ensure that no clipping will occur. If the tracks do not sound loud enough you can increase the value. But if clipping does occur you will have to reduce the value. Also note the normalization is currently supported only for the mp3 and ogg.

    Filter for duplicates

    Important: two or more input files are considered to represent the same original track if having identical: file name, duration, artist, album and title.
    1. keep all versions: duplicates are allowed
    2. keep the latest recording only: duplicates are not allowed, the last will be kept
    3. keep all versions which differ: duplicates that have different encoding parameters are allowed

    Output

    Output folder and file name

    All recorded tracks will be saved under the folder you specify and optionally artist and album sub-folders can be created. Also you can have Tunebite export the files in their original folder.

    As regarding the file name, if not otherwise specified to create tag-based file names, the original track file name will be used

    Synchronize

    It is possible to synchronize an iPod or any other MP3-Player with the songs recorded by Tunebite.

    Connect your iPod® or MP3-Player with the PC. Tunebite automatically recognizes every connected device. Choose one from the list.

    iPod®

    If you use an iPod® you can specify a playlist to which Tunebite has access to save or delete songs. If you do not specify any playlist, Tunebite has only access to the main list.

    MP3-Player

    If you use any other MP3-Player (not iPod®) you can specify a directory to which Tunebite has access to save or delete songs. If you do not specify any directory, Tunebite has only access to the main directory.

    There is also the option to limit the storage space Tunebite can use on your iPod® or MP3-Player.

    To see how to copy songs to your iPod® or MP3-Player or how to delete them, go to iPod® / MP3-Player Synchronisation.

    The following page contains the frequently asked questions section.


Extended Functionality

The Player

The Player lets you play and edit your new music tracks, as well as view the results of the recording process. You can also edit tags create ringtones or burn your recorded songs.

In addition to the standard playback controls found on common audio players, the Player provides you with a list of the music you have created, as well as track-specific information, album cover artwork and lyrics that were automatically created for each track. These items can be edited as desired. There is also the Option to copy the recorded songs to an iPod® or MP3-Player.

Listening To and Editing Music Tracks

Select a song and start it with the "Play" button.

The "Edit tag" button opens a window that allows you to import and export album cover artwork and lyrics, as well as manually enter and modify tags.

While Tunebite is recording, new music tracks are constantly being produced. A few post-processing steps occur after a title has been successfully recorded. This can result in a short delay before the track becomes available in the Player.

iPod® / MP3-Player Synchronisation

The Player lets you copy all songs from Tunebite output folder to your iPod or MP3-Player or delete them from your device. Before using this feature for the first time you need to configure your iPod® / MP3-Player. More on that in Options.

After you have selected your iPod® / MP3-Player in the Options window, the Player will automatically recognize whether your iPod® or MP3-Player is connected to your PC. If it is connected, "connected" appears on the corresponding button. When you are using more than one MP3-Player, you need to change the selection in the Options each time you switch MP3-Players.

Select the desired songs in the list and use the "copy button" to copy them to your iPod® / MP3-Player.

After you have copied a song to your iPod® / MP3-Player an "iPod® + PC" symbol appears next to it on the list. If there are songs in the folder/playlist that you have selected in Options which are not in the Tunebite output folder, these songs will appear on the list with an "iPod®" symbol next to them.

To delete certain songs from your iPod® / MP3-Player you select them in the list and press the "delete" button.

Before you disconnect your iPod® / MP3-Player you should click on the "disconnect" button to avoid loss of data.

The Player: The "Player" button displays the Player to the right of the main user interface. In the upper part of the Player you will find standard playback controls. In the centre you will find a list of ripped tracks, and at the bottom a display of the tags, album cover artwork and lyrics associated with the selected track.

Creating Ringtones

The "Ringtone" button launches an application that can convert a ripped track into a ringtone in just a few steps and load it onto your mobile phone. You can only create ringtones, if your PC is connected to the internet.

1. Mark the track which you wish to convert by highlighting it within the player tracklist. Click on the button "Ringtone".

A new window pops up and your track is prepared for editing. This may take a few seconds.

2. Generate the ringtone by selecting and editing a specific part of the track.

There is a substantial quantity of tools for editing: You can listen to the whole track and jump to a specific position by clicking on the timeline below the sound track. Trim the selected part by dragging its borders or scroll it back and forth by means of dragging and dropping the part itself. It is also possible to cut the selected part by trimming it from/to the current position and to add fade-ins/fade-outs.

If you are not satisfied with the results, return to step one and try again; otherwise continue to step three. The ringtone will now be prepared. This may take a few seconds.

3. Select the format of the ringtone. Then click "continue".

You're almost done. Decide on how to transfer the ringtone to your phone:

4. Either select "Download" or "WAP" as type of transfer.

Follow further short instructions in both cases.

Finished! Until someone gives you a call, enjoy listening to your Tunebite music archive...

Creating Ringtones step 2

Creating Ringtones step 2: Above the sound track: Buttons for testing, track playback, zooming, fades and cutting. The part of the track that has been selected as ringtone is accentuated within the sound track. Click on the button beneath to continue to step 3.

Creating Ringtones step 3

Creating Ringtones step 3: select the format

Creating Ringtones step 4

...and step 4: After successful ringtone creation, access the displayed WAP-address with your mobile phone and enter the code. It's done!

Burning CDs

The CD button launches an application that allows you to easily burn the music files which you have recorded with Tunebite. It is possible to create audio CDs as well as CDs containing digital data (e.g. "MP3 CDs").

1. Click on the CD button.

The CD wizard pops up with an introduction to its function.

2. Click on "Next" to start creating your CDs.

3. Select the type of CDs you want to create.

First you have to choose whether you want to create data or audio CDs. Audio CDs can be played on hi-fi systems as well as on your PC but they only have a capacity of 74 - 80 minutes. Data CDs have a much larger capacity but might not play on every CD-Player.

4. Choose the songs you want to burn.

In the next window a list of all music files in the Tunebite output folder is displayed. Select the files you want to burn by activating their checkbox. Beneath the list is displayed how many files you have selected. For data CDs it is displayed how many megabytes (MB) the selected files take up on a CD and for audio CD this displayed in minutes. You can also see how many CDs will be produced with your current selection.

5. Set the order of the music files on the CDs.

In the next step you can choose between several ways to put the music files in a certain order on the CDs. If you do not want to use one of them, you can on change the order individually later. For data CDs you can also create a label.

6. Choose the recording device and the device write speed.

7. Insert an empty CD

8. Confirm the Content of the CDs

In the last step you can change the order of the songs on your CDs. Select the songs you want to move and use the "Move Up" or the "Move Down" button. It is also possible to delete songs. The burning process starts when you press the "Next" Button. If you are burning more than one CD, you can change the order of the songs on every CD right before you start the burning process.

9. Press "Next" to start the burning process

Burning CDs step 1: the CD Wizard

Burning CDs step 4: Select the songs you want to burn on your CDs.

Burning CDs step 8: the order in which the songs will be burnt on your CDs. Use the buttons for changes.


FAQ

Frequently asked questions - known issues and solutions

Where can I find the latest FAQ?

You can always find the latest FAQ at: http://www.tunebite.com.

What is Tunebite?

Tunebite enables you to listen to your audio and video files wherever you want to.

Is Tunebite legal?

Yes. Tunebite does not bypass any copy protection. It re-records analogue audio signals.

Will the quality of the piece of media be lost?

The audible and video quality of the piece of media will not be lost. Tunebite uses .ogg or .lame with adjustable bit rates.

Which DRM systems does Tunebite work with?

At present, Tunebite works with Apple iTunes (.m4p, .m4b, .m4v), Window Media (.wma, .wmv) and Audible (.aa) protected files.

Do I need specific hardware?

No. Windows XP with at least 600 MHZ and a full duplex soundcard is enough.

Can I use my PC while I’m recording?

Yes. However, this is not recommended, since high load peaks might result in dropouts in the piece of media. External applications might also introduce Wave-Out device signals, which will be audible in the song afterwards.

Does this mean that I don’t ever need to buy music or videos again?

No. Tunebite can only record pieces of media that are purchased legally and that you can then play back and re-record legally. The media files must still be purchased from online music shops.

Is Tunebite opposed to the music industry?

No. Tunebite is not opposed to the music industry. On the contrary: Tunebite supports the music industry by making online music offers even more attractive.